OpenModelOpenModel
API ReferenceModels

List Models

List the models available through the OpenModel proxy. This authenticated endpoint returns all enabled models without pagination.

GET
/v1/models

Authorization

BearerAuth
AuthorizationBearer <token>

Include your API key: Authorization: Bearer om-your-api-key

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/models"
{
  "object": "list",
  "data": [
    {
      "id": "gpt-5.4",
      "object": "model",
      "created": 1715000000,
      "owned_by": "openai",
      "supported_apis": [
        "messages",
        "responses"
      ]
    },
    {
      "id": "claude-sonnet-4-6",
      "object": "model",
      "created": 1715000000,
      "owned_by": "anthropic",
      "supported_apis": [
        "messages",
        "responses"
      ]
    }
  ]
}
{
  "error": {
    "message": "string",
    "type": "string",
    "code": "string"
  }
}

On this page